Tesseract 3.02

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions
tesseract::TabEventHandler< G > Class Template Reference

`#include <bbgrid.h>`

Inheritance diagram for tesseract::TabEventHandler< G >:

List of all members.

## Public Member Functions

| TabEventHandler (G *grid)
void | Notify (const SVEvent *sv_event)
Public Member Functions inherited from SVEventHandler
virtual | ~SVEventHandler ()

## Detailed Description

### template<class G>
class tesseract::TabEventHandler< G >

Definition at line 573 of file bbgrid.h.

## Constructor & Destructor Documentation

template<class G >

tesseract::TabEventHandler< G >::TabEventHandler | ( | G * | grid | ) |

inlineexplicit

Definition at line 575 of file bbgrid.h.

: grid_(grid) {
}

## Member Function Documentation

template<class G >

void tesseract::TabEventHandler< G >::Notify | ( | const SVEvent * | sv_event | ) |

inlinevirtual

Reimplemented from SVEventHandler.

Definition at line 577 of file bbgrid.h.

{
if (sv_event->type == SVET_CLICK) {
grid_->HandleClick(sv_event->x, sv_event->y);
}
}

The documentation for this class was generated from the following file:

- /mnt/data/src/tesseract-ocr/textord/bbgrid.h